nvme_fw_download_seq(2)

NAME
nvme_fw_download_seq - Firmware download sequence

SYNOPSIS
int nvme_fw_download_seq (int fd , __u32 size , __u32 xfer , __u32 offset , void *buf );

ARGUMENTS

fd  File descriptor of nvme device

size
    Total size of the firmware image to transfer

xfer
    Maximum size to send with each partial transfer

offset
    Starting offset to send with this firmware download

buf Address of buffer containing all or part of the firmware image.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.